/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
export interface ChartElements {
    canvasArea?: HTMLElement;
    snapshotCanvas?: HTMLCanvasElement;
    backgroundCanvas?: HTMLCanvasElement;
    mainCanvas?: HTMLCanvasElement;
    dynamicObjectsCanvas?: HTMLCanvasElement;
    yAxisLabelsCanvas?: HTMLCanvasElement;
    yAxisDescriptionsCanvas?: HTMLCanvasElement;
    crossToolCanvas?: HTMLCanvasElement;
    hitTestCanvas?: HTMLCanvasElement;
    chartResizer?: HTMLElement;
    chartContainer?: HTMLElement;
}
export type ValidatedChartElements = Required<ChartElements>;
export declare const validateChartElements: (els: ChartElements) => els is Required<ChartElements>;
