/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { DrawingManager } from '../../drawers/drawing-manager';
import { CanvasModel } from '../../model/canvas.model';
import { ChartBaseElement } from '../../model/chart-base-element';
import { DynamicObjectsModel } from './dynamic-objects.model';
export declare class DynamicObjectsComponent extends ChartBaseElement {
    model: DynamicObjectsModel;
    constructor(canvasModel: CanvasModel, drawingManager: DrawingManager);
}
