/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { DataSeriesPoint } from '../model/data-series.model';
import { BinarySearchResult } from './array.utils';
export declare const getDaysOnlyTimestampFn: (isDaysPeriod: boolean) => (timestamp: number) => number;
export declare const searchCandleIndex: (rawTimestamp: number, options: {
    extrapolate?: boolean | undefined;
    isDaysPeriod?: boolean | undefined;
} | undefined, candles: DataSeriesPoint[], periodMs?: number) => BinarySearchResult;
