/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
export function clearerSafe(arr) {
    return function doClearSafe() {
        arr.forEach(f => typeof f === 'function' && f());
        arr.length = 0;
    };
}
export function identity(x) {
    return x;
}
export function notEmpty(value) {
    return value !== null && value !== undefined;
}
export const constVoid = () => void 0;
export function nonNullableTypeGuard(x) {
    return x !== undefined && x !== null;
}
