/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
export declare function getDateTimeFormat(timeZone: string): Intl.DateTimeFormat;
/**
 * Calulates provided timezone offset.
 * @param timeZone - timezone as IANA string ('Asia/Amman', 'Europe/Amsterdam')
 * @param timestamp - timestamp as number (1701251319717)
 * Returns offset from UTC
 */
export declare const getTimezoneOffset: (timeZone: string, timestamp?: number) => number;
