/*
 * Copyright (C) 2019 - 2025 Devexperts Solutions IE Limited
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
import { Chart } from './chart/chart';
import { PartialChartConfig } from './chart/chart.config';
import { generateCandlesDataTS } from './chart/utils/candles-generator-ts.utils';
declare const createChart: (el: HTMLElement, config?: PartialChartConfig) => Chart;
export { createChart, Chart, generateCandlesDataTS as generateCandlesData };
